"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const oauth_1 = require("../../google/oauth");
const credentials_1 = require("../../data/credentials");
class OAuth extends core_1.Command {
    async run() {
        const authUrl = (0, oauth_1.generateAuthUrl)();
        core_1.CliUx.ux.info('Use link below to setup your google account with gmail-backup');
        core_1.CliUx.ux.url(authUrl, authUrl);
        // eslint-disable-next-line @typescript-eslint/no-empty-function
        core_1.CliUx.ux.open(authUrl).catch(() => { });
        const url = await core_1.CliUx.ux.prompt('Paste url from browser nav bar', { required: true });
        const credentials = await (0, oauth_1.prepareCredentials)(url);
        await (0, credentials_1.saveCredentials)(credentials);
        core_1.CliUx.ux.info('Account successfully added');
    }
}
exports.default = OAuth;
OAuth.description = 'Setup your google account with oauth. It supports multiple accounts.';
