"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readLastLine = exports.reverseStream = exports.QUEUING_STRATEGY = void 0;
const web_1 = require("node:stream/web");
const file_lines_stream_1 = require("file-lines-stream");
exports.QUEUING_STRATEGY = new web_1.CountQueuingStrategy({ highWaterMark: 4 });
function reverseStream() {
    const chunks = [];
    return new web_1.TransformStream({
        transform: chunk => {
            chunks.push(chunk);
        },
        flush: controller => {
            chunks.reverse().forEach(chunk => controller.enqueue(chunk));
        },
    });
}
exports.reverseStream = reverseStream;
async function readLastLine(path) {
    const [line] = await (0, file_lines_stream_1.readLastLines)(path, 1, { ignoreEmptyLines: true });
    return line !== null && line !== void 0 ? line : '';
}
exports.readLastLine = readLastLine;
