"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfig = exports.setupConfig = void 0;
const node_os_1 = require("node:os");
const defaultConfig = {
    secretsPath: `${(0, node_os_1.homedir)()}/.gmail-backup/secrets`,
    snapshotsPath: `${(0, node_os_1.homedir)()}/.gmail-backup/snapshots`,
};
const defaultDevConfig = {
    secretsPath: 'data/secrets',
    snapshotsPath: 'data/snapshots',
};
const configFromEnvs = {
    secretsPath: process.env.SECRETS_PATH,
    snapshotsPath: process.env.SNAPSHOTS_PATH,
};
let config;
function setupConfig() {
    config = Object.fromEntries([
        defaultConfig,
        ['development', 'test'].includes(`${process.env.NODE_ENV}`.toLowerCase()) ? defaultDevConfig : {},
        configFromEnvs,
    ]
        .flatMap(Object.entries)
        .filter(([, value]) => value !== undefined));
}
exports.setupConfig = setupConfig;
function getConfig() {
    return config;
}
exports.getConfig = getConfig;
