"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveCredentials = exports.getCredentials = void 0;
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("node:fs/promises"));
const config_1 = require("../config");
function getCredentialsPath() {
    return `${(0, config_1.getConfig)().secretsPath}/credentials.json`;
}
async function getCredentials() {
    try {
        const buffer = await fs.readFile(getCredentialsPath());
        return JSON.parse(buffer.toString());
    }
    catch (error) {
        if (error.code === 'ENOENT') {
            return [];
        }
        throw error;
    }
}
exports.getCredentials = getCredentials;
async function saveCredentials(credentials) {
    const allCredentials = await getCredentials();
    allCredentials.push(credentials);
    await fs.writeFile(getCredentialsPath(), JSON.stringify(allCredentials));
}
exports.saveCredentials = saveCredentials;
