/// <reference types="node" />
import { Auth, gmail_v1 } from 'googleapis';
import { ReadableStream } from 'node:stream/web';
export declare type Message = gmail_v1.Schema$Message;
export declare type Profile = gmail_v1.Schema$Profile;
export declare type Attachment = gmail_v1.Schema$MessagePartBody;
export declare type Label = gmail_v1.Schema$Label;
export interface MessageWithAttachments {
    message: Message;
    attachments: Attachment[];
}
export declare class Gmail {
    private gmail;
    constructor(gmail: gmail_v1.Gmail);
    getProfile(): Promise<Profile>;
    getEmailReader(setTotal?: (total: number) => void, lastMessageId?: string): ReadableStream<MessageWithAttachments>;
    getLabels(): Promise<Label[]>;
}
export declare function toGmail(auth: Auth.OAuth2Client): Gmail;
